searchData={"items":[{"type":"module","title":"Blop.Client","doc":"","ref":"Blop.Client.html"},{"type":"module","title":"Blop Client - Blop.Client","doc":"It's supposed to be used in a GenServer. It starts a linked Agent to hold to the client state.\n\nclient = Client.new host: \"imap.my.provider.com\"\nClient.login(client, \"my@provider.com\", \"my-unique-password\")\nClient.list(client)\nClient.select(client, \"INBOX\")\nClient.fetch(client, \"1:5\")","ref":"Blop.Client.html#module-blop-client"},{"type":"function","title":"Blop.Client.exec/2","doc":"Execute an IMAP command with the client.","ref":"Blop.Client.html#exec/2"},{"type":"function","title":"Blop.Client.fetch/2","doc":"Perform a FETCH command on the server to get a list of messages.","ref":"Blop.Client.html#fetch/2"},{"type":"function","title":"Blop.Client.fetch/3","doc":"","ref":"Blop.Client.html#fetch/3"},{"type":"function","title":"Blop.Client.info/1","doc":"Return the client state.","ref":"Blop.Client.html#info/1"},{"type":"function","title":"Blop.Client.info/2","doc":"","ref":"Blop.Client.html#info/2"},{"type":"function","title":"Blop.Client.list/3","doc":"Perform a LIST command on the server to get a list of mailboxes.","ref":"Blop.Client.html#list/3"},{"type":"function","title":"Blop.Client.login/3","doc":"Log the client in to the server with the given username and password.","ref":"Blop.Client.html#login/3"},{"type":"function","title":"Blop.Client.new/1","doc":"Create a new IMAP client.\n\nAccepted options:\n\n- `:host` - The hostname of the IMAP server. (required)\n- `:port` - The port of the IMAP server. Default is 993.\n- `:socket_module` - The socket module to use. Default is `:ssl`.\n- `:login` - A tuple with the username and password. This will be used to log in automatically\n  after the client is created. Users can also call `Client.login/3` manually.\n\nConnection options:\n\nFor exmaple when using `:ssl`\n\n- `:ssl` - A list of options to pass to `:ssl.connect/4`. Default is `[:binary, active: false, cacertfile: CAStore.file_path()]`.","ref":"Blop.Client.html#new/1"},{"type":"function","title":"Blop.Client.select/2","doc":"Perform a SELECT command on a mailbox. Sets the currently selected mailbox in the client state.","ref":"Blop.Client.html#select/2"},{"type":"module","title":"Blop.Mailbox","doc":"Message flags:\n\n(RFC 3501)\n- \\Seen - Message has been read\n- \\Answered - Message has been replied to\n- \\Flagged - Message is marked as important or flagged for attention\n- \\Deleted - Message is marked for deletion\n- \\Draft - Message is a draft\n- \\Recent - Message is new in the mailbox since last access\n\nMailbox flags:\n\n(RFC 3501)\n- \\Noinferiors - Mailbox cannot have child mailboxes\n- \\Noselect - Mailbox cannot be selected (often used for namespace containers)\n- \\Marked - Mailbox contains new messages\n- \\Unmarked - Mailbox has no new messages\n\n(RFC 3348)\n- \\HasChildren - Mailbox has child mailboxes\n- \\HasNoChildren - Mailbox has no child mailboxes\n\nSpecial-use mailbox attributes (RFC 6154):\n\n- \\All - Contains all messages\n- \\Archive - Used for archiving messages\n- \\Drafts - Contains draft messages\n- \\Flagged - Contains flagged messages\n- \\Junk - Contains spam/junk messages\n- \\Sent - Contains sent messages\n- \\Trash - Contains deleted messages\n- \\Important - Contains important messages","ref":"Blop.Mailbox.html"},{"type":"function","title":"Blop.Mailbox.decode_name/1","doc":"","ref":"Blop.Mailbox.html#decode_name/1"},{"type":"function","title":"Blop.Mailbox.find/1","doc":"","ref":"Blop.Mailbox.html#find/1"},{"type":"module","title":"Blop.Parser","doc":"","ref":"Blop.Parser.html"},{"type":"function","title":"Blop.Parser./2","doc":"Parses the given `binary` as .\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the  (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#nil/2"},{"type":"function","title":"Options - Blop.Parser./2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#nil/2-options"},{"type":"function","title":"Blop.Parser.addr_adl/2","doc":"Parses the given `binary` as addr_adl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the addr_adl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#addr_adl/2"},{"type":"function","title":"Options - Blop.Parser.addr_adl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#addr_adl/2-options"},{"type":"function","title":"Blop.Parser.addr_host/2","doc":"Parses the given `binary` as addr_host.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the addr_host (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#addr_host/2"},{"type":"function","title":"Options - Blop.Parser.addr_host/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#addr_host/2-options"},{"type":"function","title":"Blop.Parser.addr_mailbox/2","doc":"Parses the given `binary` as addr_mailbox.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the addr_mailbox (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#addr_mailbox/2"},{"type":"function","title":"Options - Blop.Parser.addr_mailbox/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#addr_mailbox/2-options"},{"type":"function","title":"Blop.Parser.addr_name/2","doc":"Parses the given `binary` as addr_name.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the addr_name (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#addr_name/2"},{"type":"function","title":"Options - Blop.Parser.addr_name/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#addr_name/2-options"},{"type":"function","title":"Blop.Parser.address/2","doc":"Parses the given `binary` as address.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the address (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#address/2"},{"type":"function","title":"Options - Blop.Parser.address/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#address/2-options"},{"type":"function","title":"Blop.Parser.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#alpha/2"},{"type":"function","title":"Options - Blop.Parser.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#alpha/2-options"},{"type":"function","title":"Blop.Parser.append/2","doc":"Parses the given `binary` as append.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the append (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#append/2"},{"type":"function","title":"Options - Blop.Parser.append/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#append/2-options"},{"type":"function","title":"Blop.Parser.astring/2","doc":"Parses the given `binary` as astring.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the astring (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#astring/2"},{"type":"function","title":"Options - Blop.Parser.astring/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#astring/2-options"},{"type":"function","title":"Blop.Parser.astring_char/2","doc":"Parses the given `binary` as astring_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the astring_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#astring_char/2"},{"type":"function","title":"Options - Blop.Parser.astring_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#astring_char/2-options"},{"type":"function","title":"Blop.Parser.atom/2","doc":"Parses the given `binary` as atom.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the atom (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#atom/2"},{"type":"function","title":"Options - Blop.Parser.atom/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#atom/2-options"},{"type":"function","title":"Blop.Parser.atom_char/2","doc":"Parses the given `binary` as atom_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the atom_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#atom_char/2"},{"type":"function","title":"Options - Blop.Parser.atom_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#atom_char/2-options"},{"type":"function","title":"Blop.Parser.atom_specials/2","doc":"Parses the given `binary` as atom_specials.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the atom_specials (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#atom_specials/2"},{"type":"function","title":"Options - Blop.Parser.atom_specials/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#atom_specials/2-options"},{"type":"function","title":"Blop.Parser.auth_type/2","doc":"Parses the given `binary` as auth_type.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the auth_type (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#auth_type/2"},{"type":"function","title":"Options - Blop.Parser.auth_type/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#auth_type/2-options"},{"type":"function","title":"Blop.Parser.authenticate/2","doc":"Parses the given `binary` as authenticate.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the authenticate (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#authenticate/2"},{"type":"function","title":"Options - Blop.Parser.authenticate/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#authenticate/2-options"},{"type":"function","title":"Blop.Parser.base64/2","doc":"Parses the given `binary` as base64.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the base64 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#base64/2"},{"type":"function","title":"Options - Blop.Parser.base64/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#base64/2-options"},{"type":"function","title":"Blop.Parser.base64_char/2","doc":"Parses the given `binary` as base64_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the base64_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#base64_char/2"},{"type":"function","title":"Options - Blop.Parser.base64_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#base64_char/2-options"},{"type":"function","title":"Blop.Parser.base64_terminal/2","doc":"Parses the given `binary` as base64_terminal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the base64_terminal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#base64_terminal/2"},{"type":"function","title":"Options - Blop.Parser.base64_terminal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#base64_terminal/2-options"},{"type":"function","title":"Blop.Parser.bit/2","doc":"Parses the given `binary` as bit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the bit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#bit/2"},{"type":"function","title":"Options - Blop.Parser.bit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#bit/2-options"},{"type":"function","title":"Blop.Parser.body/2","doc":"Parses the given `binary` as body.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body/2"},{"type":"function","title":"Options - Blop.Parser.body/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body/2-options"},{"type":"function","title":"Blop.Parser.body_ext_1part/2","doc":"Parses the given `binary` as body_ext_1part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_ext_1part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_ext_1part/2"},{"type":"function","title":"Options - Blop.Parser.body_ext_1part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_ext_1part/2-options"},{"type":"function","title":"Blop.Parser.body_ext_mpart/2","doc":"Parses the given `binary` as body_ext_mpart.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_ext_mpart (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_ext_mpart/2"},{"type":"function","title":"Options - Blop.Parser.body_ext_mpart/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_ext_mpart/2-options"},{"type":"function","title":"Blop.Parser.body_extension/2","doc":"Parses the given `binary` as body_extension.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_extension (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_extension/2"},{"type":"function","title":"Options - Blop.Parser.body_extension/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_extension/2-options"},{"type":"function","title":"Blop.Parser.body_fields/2","doc":"Parses the given `binary` as body_fields.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fields (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fields/2"},{"type":"function","title":"Options - Blop.Parser.body_fields/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fields/2-options"},{"type":"function","title":"Blop.Parser.body_fld_desc/2","doc":"Parses the given `binary` as body_fld_desc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_desc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_desc/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_desc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_desc/2-options"},{"type":"function","title":"Blop.Parser.body_fld_dsp/2","doc":"Parses the given `binary` as body_fld_dsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_dsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_dsp/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_dsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_dsp/2-options"},{"type":"function","title":"Blop.Parser.body_fld_enc/2","doc":"Parses the given `binary` as body_fld_enc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_enc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_enc/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_enc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_enc/2-options"},{"type":"function","title":"Blop.Parser.body_fld_id/2","doc":"Parses the given `binary` as body_fld_id.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_id (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_id/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_id/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_id/2-options"},{"type":"function","title":"Blop.Parser.body_fld_lang/2","doc":"Parses the given `binary` as body_fld_lang.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_lang (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_lang/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_lang/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_lang/2-options"},{"type":"function","title":"Blop.Parser.body_fld_lines/2","doc":"Parses the given `binary` as body_fld_lines.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_lines (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_lines/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_lines/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_lines/2-options"},{"type":"function","title":"Blop.Parser.body_fld_loc/2","doc":"Parses the given `binary` as body_fld_loc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_loc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_loc/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_loc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_loc/2-options"},{"type":"function","title":"Blop.Parser.body_fld_md5/2","doc":"Parses the given `binary` as body_fld_md5.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_md5 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_md5/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_md5/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_md5/2-options"},{"type":"function","title":"Blop.Parser.body_fld_octets/2","doc":"Parses the given `binary` as body_fld_octets.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_octets (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_octets/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_octets/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_octets/2-options"},{"type":"function","title":"Blop.Parser.body_fld_param/2","doc":"Parses the given `binary` as body_fld_param.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_fld_param (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_fld_param/2"},{"type":"function","title":"Options - Blop.Parser.body_fld_param/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_fld_param/2-options"},{"type":"function","title":"Blop.Parser.body_type_1part/2","doc":"Parses the given `binary` as body_type_1part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_type_1part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_type_1part/2"},{"type":"function","title":"Options - Blop.Parser.body_type_1part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_type_1part/2-options"},{"type":"function","title":"Blop.Parser.body_type_basic/2","doc":"Parses the given `binary` as body_type_basic.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_type_basic (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_type_basic/2"},{"type":"function","title":"Options - Blop.Parser.body_type_basic/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_type_basic/2-options"},{"type":"function","title":"Blop.Parser.body_type_mpart/2","doc":"Parses the given `binary` as body_type_mpart.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_type_mpart (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_type_mpart/2"},{"type":"function","title":"Options - Blop.Parser.body_type_mpart/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_type_mpart/2-options"},{"type":"function","title":"Blop.Parser.body_type_msg/2","doc":"Parses the given `binary` as body_type_msg.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_type_msg (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_type_msg/2"},{"type":"function","title":"Options - Blop.Parser.body_type_msg/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_type_msg/2-options"},{"type":"function","title":"Blop.Parser.body_type_text/2","doc":"Parses the given `binary` as body_type_text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the body_type_text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#body_type_text/2"},{"type":"function","title":"Options - Blop.Parser.body_type_text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#body_type_text/2-options"},{"type":"function","title":"Blop.Parser.capability/2","doc":"Parses the given `binary` as capability.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the capability (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#capability/2"},{"type":"function","title":"Options - Blop.Parser.capability/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#capability/2-options"},{"type":"function","title":"Blop.Parser.capability_data/2","doc":"Parses the given `binary` as capability_data.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the capability_data (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#capability_data/2"},{"type":"function","title":"Options - Blop.Parser.capability_data/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#capability_data/2-options"},{"type":"function","title":"Blop.Parser.char8/2","doc":"Parses the given `binary` as char8.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char8 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#char8/2"},{"type":"function","title":"Options - Blop.Parser.char8/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#char8/2-options"},{"type":"function","title":"Blop.Parser.char/2","doc":"Parses the given `binary` as char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#char/2"},{"type":"function","title":"Options - Blop.Parser.char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#char/2-options"},{"type":"function","title":"Blop.Parser.command/2","doc":"Parses the given `binary` as command.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the command (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#command/2"},{"type":"function","title":"Options - Blop.Parser.command/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#command/2-options"},{"type":"function","title":"Blop.Parser.command_any/2","doc":"Parses the given `binary` as command_any.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the command_any (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#command_any/2"},{"type":"function","title":"Options - Blop.Parser.command_any/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#command_any/2-options"},{"type":"function","title":"Blop.Parser.command_auth/2","doc":"Parses the given `binary` as command_auth.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the command_auth (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#command_auth/2"},{"type":"function","title":"Options - Blop.Parser.command_auth/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#command_auth/2-options"},{"type":"function","title":"Blop.Parser.command_nonauth/2","doc":"Parses the given `binary` as command_nonauth.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the command_nonauth (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#command_nonauth/2"},{"type":"function","title":"Options - Blop.Parser.command_nonauth/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#command_nonauth/2-options"},{"type":"function","title":"Blop.Parser.command_select/2","doc":"Parses the given `binary` as command_select.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the command_select (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#command_select/2"},{"type":"function","title":"Options - Blop.Parser.command_select/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#command_select/2-options"},{"type":"function","title":"Blop.Parser.continue_req/2","doc":"Parses the given `binary` as continue_req.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the continue_req (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#continue_req/2"},{"type":"function","title":"Options - Blop.Parser.continue_req/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#continue_req/2-options"},{"type":"function","title":"Blop.Parser.copy/2","doc":"Parses the given `binary` as copy.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the copy (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#copy/2"},{"type":"function","title":"Options - Blop.Parser.copy/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#copy/2-options"},{"type":"function","title":"Blop.Parser.cr/2","doc":"Parses the given `binary` as cr.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the cr (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#cr/2"},{"type":"function","title":"Options - Blop.Parser.cr/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#cr/2-options"},{"type":"function","title":"Blop.Parser.create/2","doc":"Parses the given `binary` as create.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the create (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#create/2"},{"type":"function","title":"Options - Blop.Parser.create/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#create/2-options"},{"type":"function","title":"Blop.Parser.crlf/2","doc":"Parses the given `binary` as crlf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the crlf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#crlf/2"},{"type":"function","title":"Options - Blop.Parser.crlf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#crlf/2-options"},{"type":"function","title":"Blop.Parser.ctl/2","doc":"Parses the given `binary` as ctl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ctl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#ctl/2"},{"type":"function","title":"Options - Blop.Parser.ctl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#ctl/2-options"},{"type":"function","title":"Blop.Parser.date/2","doc":"Parses the given `binary` as date.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date/2"},{"type":"function","title":"Options - Blop.Parser.date/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date/2-options"},{"type":"function","title":"Blop.Parser.date_day/2","doc":"Parses the given `binary` as date_day.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date_day (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date_day/2"},{"type":"function","title":"Options - Blop.Parser.date_day/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date_day/2-options"},{"type":"function","title":"Blop.Parser.date_month/2","doc":"Parses the given `binary` as date_month.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date_month (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date_month/2"},{"type":"function","title":"Options - Blop.Parser.date_month/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date_month/2-options"},{"type":"function","title":"Blop.Parser.date_text/2","doc":"Parses the given `binary` as date_text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date_text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date_text/2"},{"type":"function","title":"Options - Blop.Parser.date_text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date_text/2-options"},{"type":"function","title":"Blop.Parser.date_time/2","doc":"Parses the given `binary` as date_time.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date_time (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date_time/2"},{"type":"function","title":"Options - Blop.Parser.date_time/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date_time/2-options"},{"type":"function","title":"Blop.Parser.date_year/2","doc":"Parses the given `binary` as date_year.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the date_year (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#date_year/2"},{"type":"function","title":"Options - Blop.Parser.date_year/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#date_year/2-options"},{"type":"function","title":"Blop.Parser.delete/2","doc":"Parses the given `binary` as delete.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the delete (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#delete/2"},{"type":"function","title":"Options - Blop.Parser.delete/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#delete/2-options"},{"type":"function","title":"Blop.Parser.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#digit/2"},{"type":"function","title":"Options - Blop.Parser.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#digit/2-options"},{"type":"function","title":"Blop.Parser.digit_nz/2","doc":"Parses the given `binary` as digit_nz.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit_nz (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#digit_nz/2"},{"type":"function","title":"Options - Blop.Parser.digit_nz/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#digit_nz/2-options"},{"type":"function","title":"Blop.Parser.dquote/2","doc":"Parses the given `binary` as dquote.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dquote (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#dquote/2"},{"type":"function","title":"Options - Blop.Parser.dquote/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#dquote/2-options"},{"type":"function","title":"Blop.Parser.env_bcc/2","doc":"Parses the given `binary` as env_bcc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_bcc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_bcc/2"},{"type":"function","title":"Options - Blop.Parser.env_bcc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_bcc/2-options"},{"type":"function","title":"Blop.Parser.env_cc/2","doc":"Parses the given `binary` as env_cc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_cc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_cc/2"},{"type":"function","title":"Options - Blop.Parser.env_cc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_cc/2-options"},{"type":"function","title":"Blop.Parser.env_date/2","doc":"Parses the given `binary` as env_date.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_date (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_date/2"},{"type":"function","title":"Options - Blop.Parser.env_date/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_date/2-options"},{"type":"function","title":"Blop.Parser.env_from/2","doc":"Parses the given `binary` as env_from.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_from (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_from/2"},{"type":"function","title":"Options - Blop.Parser.env_from/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_from/2-options"},{"type":"function","title":"Blop.Parser.env_in_reply_to/2","doc":"Parses the given `binary` as env_in_reply_to.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_in_reply_to (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_in_reply_to/2"},{"type":"function","title":"Options - Blop.Parser.env_in_reply_to/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_in_reply_to/2-options"},{"type":"function","title":"Blop.Parser.env_message_id/2","doc":"Parses the given `binary` as env_message_id.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_message_id (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_message_id/2"},{"type":"function","title":"Options - Blop.Parser.env_message_id/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_message_id/2-options"},{"type":"function","title":"Blop.Parser.env_reply_to/2","doc":"Parses the given `binary` as env_reply_to.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_reply_to (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_reply_to/2"},{"type":"function","title":"Options - Blop.Parser.env_reply_to/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_reply_to/2-options"},{"type":"function","title":"Blop.Parser.env_sender/2","doc":"Parses the given `binary` as env_sender.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_sender (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_sender/2"},{"type":"function","title":"Options - Blop.Parser.env_sender/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_sender/2-options"},{"type":"function","title":"Blop.Parser.env_subject/2","doc":"Parses the given `binary` as env_subject.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_subject (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_subject/2"},{"type":"function","title":"Options - Blop.Parser.env_subject/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_subject/2-options"},{"type":"function","title":"Blop.Parser.env_to/2","doc":"Parses the given `binary` as env_to.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the env_to (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#env_to/2"},{"type":"function","title":"Options - Blop.Parser.env_to/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#env_to/2-options"},{"type":"function","title":"Blop.Parser.envelope/2","doc":"Parses the given `binary` as envelope.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the envelope (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#envelope/2"},{"type":"function","title":"Options - Blop.Parser.envelope/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#envelope/2-options"},{"type":"function","title":"Blop.Parser.examine/2","doc":"Parses the given `binary` as examine.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the examine (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#examine/2"},{"type":"function","title":"Options - Blop.Parser.examine/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#examine/2-options"},{"type":"function","title":"Blop.Parser.fetch/2","doc":"Parses the given `binary` as fetch.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the fetch (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#fetch/2"},{"type":"function","title":"Options - Blop.Parser.fetch/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#fetch/2-options"},{"type":"function","title":"Blop.Parser.fetch_att/2","doc":"Parses the given `binary` as fetch_att.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the fetch_att (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#fetch_att/2"},{"type":"function","title":"Options - Blop.Parser.fetch_att/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#fetch_att/2-options"},{"type":"function","title":"Blop.Parser.flag/2","doc":"Parses the given `binary` as flag.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag/2"},{"type":"function","title":"Options - Blop.Parser.flag/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag/2-options"},{"type":"function","title":"Blop.Parser.flag_extension/2","doc":"Parses the given `binary` as flag_extension.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag_extension (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag_extension/2"},{"type":"function","title":"Options - Blop.Parser.flag_extension/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag_extension/2-options"},{"type":"function","title":"Blop.Parser.flag_fetch/2","doc":"Parses the given `binary` as flag_fetch.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag_fetch (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag_fetch/2"},{"type":"function","title":"Options - Blop.Parser.flag_fetch/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag_fetch/2-options"},{"type":"function","title":"Blop.Parser.flag_keyword/2","doc":"Parses the given `binary` as flag_keyword.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag_keyword (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag_keyword/2"},{"type":"function","title":"Options - Blop.Parser.flag_keyword/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag_keyword/2-options"},{"type":"function","title":"Blop.Parser.flag_list/2","doc":"Parses the given `binary` as flag_list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag_list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag_list/2"},{"type":"function","title":"Options - Blop.Parser.flag_list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag_list/2-options"},{"type":"function","title":"Blop.Parser.flag_perm/2","doc":"Parses the given `binary` as flag_perm.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the flag_perm (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#flag_perm/2"},{"type":"function","title":"Options - Blop.Parser.flag_perm/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#flag_perm/2-options"},{"type":"function","title":"Blop.Parser.greeting/2","doc":"Parses the given `binary` as greeting.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the greeting (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#greeting/2"},{"type":"function","title":"Options - Blop.Parser.greeting/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#greeting/2-options"},{"type":"function","title":"Blop.Parser.header_fld_name/2","doc":"Parses the given `binary` as header_fld_name.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the header_fld_name (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#header_fld_name/2"},{"type":"function","title":"Options - Blop.Parser.header_fld_name/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#header_fld_name/2-options"},{"type":"function","title":"Blop.Parser.header_list/2","doc":"Parses the given `binary` as header_list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the header_list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#header_list/2"},{"type":"function","title":"Options - Blop.Parser.header_list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#header_list/2-options"},{"type":"function","title":"Blop.Parser.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#hexdig/2"},{"type":"function","title":"Options - Blop.Parser.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#hexdig/2-options"},{"type":"function","title":"Blop.Parser.htab/2","doc":"Parses the given `binary` as htab.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the htab (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#htab/2"},{"type":"function","title":"Options - Blop.Parser.htab/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#htab/2-options"},{"type":"function","title":"Blop.Parser.lf/2","doc":"Parses the given `binary` as lf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#lf/2"},{"type":"function","title":"Options - Blop.Parser.lf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#lf/2-options"},{"type":"function","title":"Blop.Parser.list/2","doc":"Parses the given `binary` as list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#list/2"},{"type":"function","title":"Options - Blop.Parser.list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#list/2-options"},{"type":"function","title":"Blop.Parser.list_char/2","doc":"Parses the given `binary` as list_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the list_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#list_char/2"},{"type":"function","title":"Options - Blop.Parser.list_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#list_char/2-options"},{"type":"function","title":"Blop.Parser.list_mailbox/2","doc":"Parses the given `binary` as list_mailbox.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the list_mailbox (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#list_mailbox/2"},{"type":"function","title":"Options - Blop.Parser.list_mailbox/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#list_mailbox/2-options"},{"type":"function","title":"Blop.Parser.list_wildcards/2","doc":"Parses the given `binary` as list_wildcards.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the list_wildcards (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#list_wildcards/2"},{"type":"function","title":"Options - Blop.Parser.list_wildcards/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#list_wildcards/2-options"},{"type":"function","title":"Blop.Parser.literal/2","doc":"Parses the given `binary` as literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#literal/2"},{"type":"function","title":"Options - Blop.Parser.literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#literal/2-options"},{"type":"function","title":"Blop.Parser.login/2","doc":"Parses the given `binary` as login.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the login (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#login/2"},{"type":"function","title":"Options - Blop.Parser.login/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#login/2-options"},{"type":"function","title":"Blop.Parser.lsub/2","doc":"Parses the given `binary` as lsub.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lsub (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#lsub/2"},{"type":"function","title":"Options - Blop.Parser.lsub/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#lsub/2-options"},{"type":"function","title":"Blop.Parser.lwsp/2","doc":"Parses the given `binary` as lwsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lwsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#lwsp/2"},{"type":"function","title":"Options - Blop.Parser.lwsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#lwsp/2-options"},{"type":"function","title":"Blop.Parser.mailbox/2","doc":"Parses the given `binary` as mailbox.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mailbox (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mailbox/2"},{"type":"function","title":"Options - Blop.Parser.mailbox/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mailbox/2-options"},{"type":"function","title":"Blop.Parser.mailbox_data/2","doc":"Parses the given `binary` as mailbox_data.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mailbox_data (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mailbox_data/2"},{"type":"function","title":"Options - Blop.Parser.mailbox_data/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mailbox_data/2-options"},{"type":"function","title":"Blop.Parser.mailbox_list/2","doc":"Parses the given `binary` as mailbox_list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mailbox_list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mailbox_list/2"},{"type":"function","title":"Options - Blop.Parser.mailbox_list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mailbox_list/2-options"},{"type":"function","title":"Blop.Parser.mbx_list_flags/2","doc":"Parses the given `binary` as mbx_list_flags.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mbx_list_flags (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mbx_list_flags/2"},{"type":"function","title":"Options - Blop.Parser.mbx_list_flags/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mbx_list_flags/2-options"},{"type":"function","title":"Blop.Parser.mbx_list_oflag/2","doc":"Parses the given `binary` as mbx_list_oflag.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mbx_list_oflag (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mbx_list_oflag/2"},{"type":"function","title":"Options - Blop.Parser.mbx_list_oflag/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mbx_list_oflag/2-options"},{"type":"function","title":"Blop.Parser.mbx_list_sflag/2","doc":"Parses the given `binary` as mbx_list_sflag.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the mbx_list_sflag (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#mbx_list_sflag/2"},{"type":"function","title":"Options - Blop.Parser.mbx_list_sflag/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#mbx_list_sflag/2-options"},{"type":"function","title":"Blop.Parser.media_basic/2","doc":"Parses the given `binary` as media_basic.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the media_basic (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#media_basic/2"},{"type":"function","title":"Options - Blop.Parser.media_basic/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#media_basic/2-options"},{"type":"function","title":"Blop.Parser.media_message/2","doc":"Parses the given `binary` as media_message.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the media_message (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#media_message/2"},{"type":"function","title":"Options - Blop.Parser.media_message/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#media_message/2-options"},{"type":"function","title":"Blop.Parser.media_subtype/2","doc":"Parses the given `binary` as media_subtype.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the media_subtype (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#media_subtype/2"},{"type":"function","title":"Options - Blop.Parser.media_subtype/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#media_subtype/2-options"},{"type":"function","title":"Blop.Parser.media_text/2","doc":"Parses the given `binary` as media_text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the media_text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#media_text/2"},{"type":"function","title":"Options - Blop.Parser.media_text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#media_text/2-options"},{"type":"function","title":"Blop.Parser.message_data/2","doc":"Parses the given `binary` as message_data.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the message_data (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#message_data/2"},{"type":"function","title":"Options - Blop.Parser.message_data/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#message_data/2-options"},{"type":"function","title":"Blop.Parser.msg_att/2","doc":"Parses the given `binary` as msg_att.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the msg_att (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#msg_att/2"},{"type":"function","title":"Options - Blop.Parser.msg_att/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#msg_att/2-options"},{"type":"function","title":"Blop.Parser.msg_att_dynamic/2","doc":"Parses the given `binary` as msg_att_dynamic.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the msg_att_dynamic (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#msg_att_dynamic/2"},{"type":"function","title":"Options - Blop.Parser.msg_att_dynamic/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#msg_att_dynamic/2-options"},{"type":"function","title":"Blop.Parser.msg_att_static/2","doc":"Parses the given `binary` as msg_att_static.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the msg_att_static (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#msg_att_static/2"},{"type":"function","title":"Options - Blop.Parser.msg_att_static/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#msg_att_static/2-options"},{"type":"function","title":"Blop.Parser.nstring/2","doc":"Parses the given `binary` as nstring.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the nstring (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#nstring/2"},{"type":"function","title":"Options - Blop.Parser.nstring/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#nstring/2-options"},{"type":"function","title":"Blop.Parser.number/2","doc":"Parses the given `binary` as number.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the number (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#number/2"},{"type":"function","title":"Options - Blop.Parser.number/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#number/2-options"},{"type":"function","title":"Blop.Parser.nz_number/2","doc":"Parses the given `binary` as nz_number.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the nz_number (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#nz_number/2"},{"type":"function","title":"Options - Blop.Parser.nz_number/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#nz_number/2-options"},{"type":"function","title":"Blop.Parser.octet/2","doc":"Parses the given `binary` as octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#octet/2"},{"type":"function","title":"Options - Blop.Parser.octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#octet/2-options"},{"type":"function","title":"Blop.Parser.password/2","doc":"Parses the given `binary` as password.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the password (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#password/2"},{"type":"function","title":"Options - Blop.Parser.password/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#password/2-options"},{"type":"function","title":"Blop.Parser.quoted/2","doc":"Parses the given `binary` as quoted.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the quoted (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#quoted/2"},{"type":"function","title":"Options - Blop.Parser.quoted/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#quoted/2-options"},{"type":"function","title":"Blop.Parser.quoted_char/2","doc":"Parses the given `binary` as quoted_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the quoted_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#quoted_char/2"},{"type":"function","title":"Options - Blop.Parser.quoted_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#quoted_char/2-options"},{"type":"function","title":"Blop.Parser.quoted_specials/2","doc":"Parses the given `binary` as quoted_specials.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the quoted_specials (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#quoted_specials/2"},{"type":"function","title":"Options - Blop.Parser.quoted_specials/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#quoted_specials/2-options"},{"type":"function","title":"Blop.Parser.rename/2","doc":"Parses the given `binary` as rename.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the rename (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#rename/2"},{"type":"function","title":"Options - Blop.Parser.rename/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#rename/2-options"},{"type":"function","title":"Blop.Parser.resp_cond_auth/2","doc":"Parses the given `binary` as resp_cond_auth.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_cond_auth (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_cond_auth/2"},{"type":"function","title":"Options - Blop.Parser.resp_cond_auth/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_cond_auth/2-options"},{"type":"function","title":"Blop.Parser.resp_cond_bye/2","doc":"Parses the given `binary` as resp_cond_bye.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_cond_bye (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_cond_bye/2"},{"type":"function","title":"Options - Blop.Parser.resp_cond_bye/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_cond_bye/2-options"},{"type":"function","title":"Blop.Parser.resp_cond_state/2","doc":"Parses the given `binary` as resp_cond_state.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_cond_state (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_cond_state/2"},{"type":"function","title":"Options - Blop.Parser.resp_cond_state/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_cond_state/2-options"},{"type":"function","title":"Blop.Parser.resp_specials/2","doc":"Parses the given `binary` as resp_specials.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_specials (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_specials/2"},{"type":"function","title":"Options - Blop.Parser.resp_specials/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_specials/2-options"},{"type":"function","title":"Blop.Parser.resp_text/2","doc":"Parses the given `binary` as resp_text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_text/2"},{"type":"function","title":"Options - Blop.Parser.resp_text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_text/2-options"},{"type":"function","title":"Blop.Parser.resp_text_code/2","doc":"Parses the given `binary` as resp_text_code.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the resp_text_code (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#resp_text_code/2"},{"type":"function","title":"Options - Blop.Parser.resp_text_code/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#resp_text_code/2-options"},{"type":"function","title":"Blop.Parser.response/2","doc":"Parses the given `binary` as response.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the response (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#response/2"},{"type":"function","title":"Options - Blop.Parser.response/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#response/2-options"},{"type":"function","title":"Blop.Parser.response_data/2","doc":"Parses the given `binary` as response_data.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the response_data (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#response_data/2"},{"type":"function","title":"Options - Blop.Parser.response_data/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#response_data/2-options"},{"type":"function","title":"Blop.Parser.response_done/2","doc":"Parses the given `binary` as response_done.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the response_done (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#response_done/2"},{"type":"function","title":"Options - Blop.Parser.response_done/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#response_done/2-options"},{"type":"function","title":"Blop.Parser.response_fatal/2","doc":"Parses the given `binary` as response_fatal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the response_fatal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#response_fatal/2"},{"type":"function","title":"Options - Blop.Parser.response_fatal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#response_fatal/2-options"},{"type":"function","title":"Blop.Parser.response_tagged/2","doc":"Parses the given `binary` as response_tagged.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the response_tagged (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#response_tagged/2"},{"type":"function","title":"Options - Blop.Parser.response_tagged/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#response_tagged/2-options"},{"type":"function","title":"Blop.Parser.search/2","doc":"Parses the given `binary` as search.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the search (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#search/2"},{"type":"function","title":"Options - Blop.Parser.search/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#search/2-options"},{"type":"function","title":"Blop.Parser.search_key/2","doc":"Parses the given `binary` as search_key.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the search_key (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#search_key/2"},{"type":"function","title":"Options - Blop.Parser.search_key/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#search_key/2-options"},{"type":"function","title":"Blop.Parser.section/2","doc":"Parses the given `binary` as section.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the section (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#section/2"},{"type":"function","title":"Options - Blop.Parser.section/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#section/2-options"},{"type":"function","title":"Blop.Parser.section_msgtext/2","doc":"Parses the given `binary` as section_msgtext.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the section_msgtext (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#section_msgtext/2"},{"type":"function","title":"Options - Blop.Parser.section_msgtext/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#section_msgtext/2-options"},{"type":"function","title":"Blop.Parser.section_part/2","doc":"Parses the given `binary` as section_part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the section_part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#section_part/2"},{"type":"function","title":"Options - Blop.Parser.section_part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#section_part/2-options"},{"type":"function","title":"Blop.Parser.section_spec/2","doc":"Parses the given `binary` as section_spec.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the section_spec (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#section_spec/2"},{"type":"function","title":"Options - Blop.Parser.section_spec/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#section_spec/2-options"},{"type":"function","title":"Blop.Parser.section_text/2","doc":"Parses the given `binary` as section_text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the section_text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#section_text/2"},{"type":"function","title":"Options - Blop.Parser.section_text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#section_text/2-options"},{"type":"function","title":"Blop.Parser.select/2","doc":"Parses the given `binary` as select.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the select (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#select/2"},{"type":"function","title":"Options - Blop.Parser.select/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#select/2-options"},{"type":"function","title":"Blop.Parser.seq_number/2","doc":"Parses the given `binary` as seq_number.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the seq_number (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#seq_number/2"},{"type":"function","title":"Options - Blop.Parser.seq_number/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#seq_number/2-options"},{"type":"function","title":"Blop.Parser.seq_range/2","doc":"Parses the given `binary` as seq_range.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the seq_range (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#seq_range/2"},{"type":"function","title":"Options - Blop.Parser.seq_range/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#seq_range/2-options"},{"type":"function","title":"Blop.Parser.sequence_set/2","doc":"Parses the given `binary` as sequence_set.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sequence_set (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#sequence_set/2"},{"type":"function","title":"Options - Blop.Parser.sequence_set/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#sequence_set/2-options"},{"type":"function","title":"Blop.Parser.sp/2","doc":"Parses the given `binary` as sp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#sp/2"},{"type":"function","title":"Options - Blop.Parser.sp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#sp/2-options"},{"type":"function","title":"Blop.Parser.status/2","doc":"Parses the given `binary` as status.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the status (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#status/2"},{"type":"function","title":"Options - Blop.Parser.status/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#status/2-options"},{"type":"function","title":"Blop.Parser.status_att/2","doc":"Parses the given `binary` as status_att.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the status_att (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#status_att/2"},{"type":"function","title":"Options - Blop.Parser.status_att/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#status_att/2-options"},{"type":"function","title":"Blop.Parser.status_att_list/2","doc":"Parses the given `binary` as status_att_list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the status_att_list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#status_att_list/2"},{"type":"function","title":"Options - Blop.Parser.status_att_list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#status_att_list/2-options"},{"type":"function","title":"Blop.Parser.store/2","doc":"Parses the given `binary` as store.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the store (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#store/2"},{"type":"function","title":"Options - Blop.Parser.store/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#store/2-options"},{"type":"function","title":"Blop.Parser.store_att_flags/2","doc":"Parses the given `binary` as store_att_flags.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the store_att_flags (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#store_att_flags/2"},{"type":"function","title":"Options - Blop.Parser.store_att_flags/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#store_att_flags/2-options"},{"type":"function","title":"Blop.Parser.string/2","doc":"Parses the given `binary` as string.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the string (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#string/2"},{"type":"function","title":"Options - Blop.Parser.string/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#string/2-options"},{"type":"function","title":"Blop.Parser.subscribe/2","doc":"Parses the given `binary` as subscribe.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the subscribe (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#subscribe/2"},{"type":"function","title":"Options - Blop.Parser.subscribe/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#subscribe/2-options"},{"type":"function","title":"Blop.Parser.tag/2","doc":"Parses the given `binary` as tag.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the tag (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#tag/2"},{"type":"function","title":"Options - Blop.Parser.tag/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#tag/2-options"},{"type":"function","title":"Blop.Parser.text/2","doc":"Parses the given `binary` as text.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the text (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#text/2"},{"type":"function","title":"Options - Blop.Parser.text/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#text/2-options"},{"type":"function","title":"Blop.Parser.text_char/2","doc":"Parses the given `binary` as text_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the text_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#text_char/2"},{"type":"function","title":"Options - Blop.Parser.text_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#text_char/2-options"},{"type":"function","title":"Blop.Parser.time/2","doc":"Parses the given `binary` as time.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the time (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#time/2"},{"type":"function","title":"Options - Blop.Parser.time/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#time/2-options"},{"type":"function","title":"Blop.Parser.uid/2","doc":"Parses the given `binary` as uid.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uid (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#uid/2"},{"type":"function","title":"Options - Blop.Parser.uid/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#uid/2-options"},{"type":"function","title":"Blop.Parser.uniqueid/2","doc":"Parses the given `binary` as uniqueid.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uniqueid (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#uniqueid/2"},{"type":"function","title":"Options - Blop.Parser.uniqueid/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#uniqueid/2-options"},{"type":"function","title":"Blop.Parser.unsubscribe/2","doc":"Parses the given `binary` as unsubscribe.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the unsubscribe (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#unsubscribe/2"},{"type":"function","title":"Options - Blop.Parser.unsubscribe/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#unsubscribe/2-options"},{"type":"function","title":"Blop.Parser.userid/2","doc":"Parses the given `binary` as userid.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the userid (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#userid/2"},{"type":"function","title":"Options - Blop.Parser.userid/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#userid/2-options"},{"type":"function","title":"Blop.Parser.vchar/2","doc":"Parses the given `binary` as vchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the vchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#vchar/2"},{"type":"function","title":"Options - Blop.Parser.vchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#vchar/2-options"},{"type":"function","title":"Blop.Parser.wsp/2","doc":"Parses the given `binary` as wsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the wsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#wsp/2"},{"type":"function","title":"Options - Blop.Parser.wsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#wsp/2-options"},{"type":"function","title":"Blop.Parser.x_command/2","doc":"Parses the given `binary` as x_command.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the x_command (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#x_command/2"},{"type":"function","title":"Options - Blop.Parser.x_command/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#x_command/2-options"},{"type":"function","title":"Blop.Parser.zone/2","doc":"Parses the given `binary` as zone.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the zone (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Blop.Parser.html#zone/2"},{"type":"function","title":"Options - Blop.Parser.zone/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Blop.Parser.html#zone/2-options"},{"type":"module","title":"Blop.Request","doc":"IMAP commands being sent to the IMAP server","ref":"Blop.Request.html"},{"type":"function","title":"Blop.Request.append/2","doc":"","ref":"Blop.Request.html#append/2"},{"type":"function","title":"Blop.Request.authenticate/1","doc":"","ref":"Blop.Request.html#authenticate/1"},{"type":"function","title":"Blop.Request.capability/0","doc":"","ref":"Blop.Request.html#capability/0"},{"type":"function","title":"Blop.Request.check/0","doc":"","ref":"Blop.Request.html#check/0"},{"type":"function","title":"Blop.Request.close/0","doc":"","ref":"Blop.Request.html#close/0"},{"type":"function","title":"Blop.Request.copy/2","doc":"","ref":"Blop.Request.html#copy/2"},{"type":"function","title":"Blop.Request.create/1","doc":"","ref":"Blop.Request.html#create/1"},{"type":"function","title":"Blop.Request.delete/1","doc":"","ref":"Blop.Request.html#delete/1"},{"type":"function","title":"Blop.Request.examine/1","doc":"","ref":"Blop.Request.html#examine/1"},{"type":"function","title":"Blop.Request.expunge/0","doc":"","ref":"Blop.Request.html#expunge/0"},{"type":"function","title":"Blop.Request.fetch/2","doc":"","ref":"Blop.Request.html#fetch/2"},{"type":"function","title":"Blop.Request.list/2","doc":"","ref":"Blop.Request.html#list/2"},{"type":"function","title":"Blop.Request.login/2","doc":"","ref":"Blop.Request.html#login/2"},{"type":"function","title":"Blop.Request.logout/0","doc":"","ref":"Blop.Request.html#logout/0"},{"type":"function","title":"Blop.Request.lsub/2","doc":"","ref":"Blop.Request.html#lsub/2"},{"type":"function","title":"Blop.Request.noop/0","doc":"","ref":"Blop.Request.html#noop/0"},{"type":"function","title":"Blop.Request.rename/2","doc":"","ref":"Blop.Request.html#rename/2"},{"type":"function","title":"Blop.Request.search/1","doc":"","ref":"Blop.Request.html#search/1"},{"type":"function","title":"Blop.Request.select/1","doc":"","ref":"Blop.Request.html#select/1"},{"type":"function","title":"Blop.Request.sequence_set/1","doc":"","ref":"Blop.Request.html#sequence_set/1"},{"type":"function","title":"Blop.Request.serialize/1","doc":"","ref":"Blop.Request.html#serialize/1"},{"type":"function","title":"Blop.Request.starttls/0","doc":"","ref":"Blop.Request.html#starttls/0"},{"type":"function","title":"Blop.Request.status/1","doc":"","ref":"Blop.Request.html#status/1"},{"type":"function","title":"Blop.Request.store/3","doc":"","ref":"Blop.Request.html#store/3"},{"type":"function","title":"Blop.Request.subscribe/1","doc":"","ref":"Blop.Request.html#subscribe/1"},{"type":"function","title":"Blop.Request.uid/1","doc":"","ref":"Blop.Request.html#uid/1"},{"type":"function","title":"Blop.Request.unsubscribe/1","doc":"","ref":"Blop.Request.html#unsubscribe/1"},{"type":"module","title":"Blop.Response","doc":"Extract response info returned by the IMAP server and convert them to a structured format","ref":"Blop.Response.html"},{"type":"function","title":"Blop.Response.extract/1","doc":"","ref":"Blop.Response.html#extract/1"},{"type":"module","title":"Blop.Socket","doc":"A socket module that abstracts away the type of the connection it has with a server.","ref":"Blop.Socket.html"},{"type":"extras","title":"Blop","doc":"# Blop\n\n> still in DEV\n\n*blop, a new email just dropped...*\n\nIMAP Client for Elixir","ref":"readme.html"},{"type":"extras","title":"Installation - Blop","doc":"```elixir\ndef deps do\n  [\n    {:blop, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Blop","doc":"```elixir\nalias Blop.Client\n\n{:ok, client} = Client.new(\n  host: \"imap.my.host\",\n  port: 993,\n  login: {\"me@my.host\", \"my_strong_password\"}\n)\n\nClient.list(client)\n\nClient.select(client, \"INBOX\")\n\nClient.fetch(client, \"1:5\")\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}